# ApplicationFramework
TKLCAF
TDataStd

# TDataStd Class Reference

This package defines standard attributes for
modelling.
These allow you to create and modify labels
and attributes for many basic data types.
Standard topological and visualization
attributes have also been created.
To find an attribute attached to a specific label,
you use the GUID of the type of attribute you
are looking for. To do this, first find this
information using the method GetID as follows: Standard_GUID anID =
MyAttributeClass::GetID();
Then, use the method Find for the label as follows:
Standard_Boolean HasAttribute
=
aLabel.Find(anID,anAttribute);
Note
For information on the relations between this
component of OCAF and the others, refer to the OCAF User's Guide.
.

`#include <TDataStd.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | IDList (TDF_IDList &anIDList)
| Appends to <anidlist> the list of the attributes IDs of this package. CAUTION: <anidlist> is NOT cleared before use. //! Print of TDataStd enumeration ============================= .
static Standard_EXPORT Standard_OStream & | Print (const TDataStd_GeometryEnum GEO, Standard_OStream &S)
static Standard_EXPORT Standard_OStream & | Print (const TDataStd_RealEnum DIM, Standard_OStream &S)
static Standard_EXPORT Standard_OStream & | Print (const TDataStd_ConstraintEnum CTR, Standard_OStream &S)

## Member Function Documentation

static Standard_EXPORT void TDataStd::IDList | ( | TDF_IDList & | anIDList | ) | `[static]`

void TDataStd::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_OStream& TDataStd::Print | ( | const TDataStd_ConstraintEnum | CTR,
|  | Standard_OStream & | S
| ) | `[static]`

static Standard_EXPORT Standard_OStream& TDataStd::Print | ( | const TDataStd_RealEnum | DIM,
|  | Standard_OStream & | S
| ) | `[static]`

static Standard_EXPORT Standard_OStream& TDataStd::Print | ( | const TDataStd_GeometryEnum | GEO,
|  | Standard_OStream & | S
| ) | `[static]`

The documentation for this class was generated from the following file:

- TDataStd.hxx